<div class="panel panel-info">
    <style>
        #status-form {
            display: flex;
            flex-direction: column;
            margin: -15px;
            padding: 15px;
        }

        #status-form > textarea {
            resize: none;
            padding: 1rem;
        }

        #status-form > div {
            margin-top: 1rem;
            resize: none;
        }

.posts {
    display: flex;
    flex-direction: column;
    align-items: center;
    overflow-y: auto;
    overflow-x: hidden;
    padding-left: 15px;
    padding-right: 15px;
}


.post {
    width: 100%;
    border-radius: 3px;
    background-color: white;
    box-shadow: 0 2px 2px 0 rgba(0,0,0,0.16),0 0 0 1px rgba(0,0,0,0.08);

    margin-top: 20px;
    margin-bottom: 10px;
}

.post-header {
    height: 80px;
    padding: 20px;
}

.post-header > i {
    float: right;
    cursor: pointer;
}

.post-header-img {
    height: 60px;
    width: 60px;
    border-radius: 30px;
    float: left;
}

.post-header-section{
    float: left;
    margin-left: 10px;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    height: 60px;
}

.post-header-name {
    font-size: 1.8rem;
    margin: 0px;
    color: black;
}

.post-header-timestamp {
    margin: 0px;
}

.post-content {
    padding: 20px;
    word-wrap: break-word;
}

    </style>
    <div class="panel-heading">
        <h2>Status</h2>
    </div>
    <div class="posts">
        {% for status in statuses %}
            <div class="post">
                {% if status.user.profile.first_name %}
                <div class="post-header">
                    <img class="post-header-img" src="{{status.user.profile.image_url}}">
                    <div class="post-header-section">
                    <a class="post-header-name">{{ status.user.profile.first_name }} {{ status.user.profile.last_name }}</a>
                    <h6 class="post-header-timestamp">{{status.created_at}}</h6>
                    </div>
                </div>
                <div class="post-content">
                    {{status.status}}
                </div>
                {% else %}
                <h4> Tidak ada status terbaru </h4>
                {% endif %}
            </div>
        {% endfor %}
    </div>
    <div class="panel-body">
        <form id="status-form" action="{% url 'mahasiswa:add_status' %}" method="POST">
            {% csrf_token %}
            <label for="{{ form.status.id_for_label }}">Update Status</label>
            <textarea name="status"></textarea>
            <div>
                <button type="submit" class="btn btn-primary pull-right">Post</button>
            </div>
        </form>
    </div>
</div>
